@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Merriweather:ital,opsz,wght@0,18..144,820;1,18..144,820&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

.top {
    display: grid;
    grid-template-areas:
        'icono margen titulo'
        'icono margen parrafo';
    margin-right: 10pt;
    margin-left: 10pt;
    gap: 5pt;
    margin-right: -15pt;
    max-width: 400px;
    align-items: end;
}

body {
    transform: scale(0.7);
    transform-origin: top left;
}

/* Estilos generales */
.top>img {
    grid-area: icono;
    width: 60%;
    min-width: 200px;
    margin-top: 35pt;
}

a {
    text-decoration: none;
}

.actual:hover {
    cursor: pointer;
}

.top.arriba {
    grid-area: titulo;
    color: rgb(10, 112, 207);
    font-size: 24px;
    letter-spacing: 0.5pt;
    text-align: right;
    font-weight: 900;
    font-family: Raleway;
    padding-left: 15pt;
    margin-top: 40pt;
}

.top>p {
    grid-area: parrafo;
    text-align: right;
    margin-top: -30pt;
    font-family: Arial;
}

.top1 {
    grid-area: margen;
}

.main {
    display: grid;
    grid-template-areas:
        'actual actual actual actual'
        'programa programa speakers speakers'
        'programa programa speakers speakers'
        'sponsors sponsors sponsors sponsors';
    margin-top: 10pt;
    gap: 20pt;
    padding-left: 5%;
    margin-right: 30%;
}

.actual {
    grid-area: actual;
    display: flex;
    flex-direction: column;
}

.programa {
    grid-area: programa;
    width: 80%;
    padding-right: 30pt;
}

.programa:hover {
    cursor: pointer;
}

.speakers {
    grid-area: speakers;

    padding-right: 35pt;
}

.speakers>.contenido {
    color: white;
    margin-top: 40pt;
}

.sponsors {
    grid-area: sponsors;
}

.hora {
    margin-top: -20pt;
    font-family: DM sans;
    font-size: 20px;
    font-weight: 600;
}

.presentador {
    font-family: DM sans;
    margin-bottom: -10pt;
    font-weight: 700;
    font-size: 17px;
}

.imgActual {
    position: absolute;
    /* Posición absoluta dentro de .actual */
    top: 5pt;
    /* Esquina superior */
    right: 5pt;
    /* Esquina derecha */
    width: 5%;
    z-index: 2;
}

.actual>p {
    margin-left: 5pt;
}

.momento {
    margin-top: 4pt;
    font-weight: bold;
    font-size: 24px;
}

.icono {
    width: 40pt;
}

.nombre {
    font-family: Raleway;
    font-weight: 600;
    font-size: 16px;
}

.contenido {
    color: white;
    font-family: Raleway;
    font-weight: bold;
    font-size: 20pt;
    margin-bottom: 5pt;
    margin-left: 10pt;
}

.actual {
    background-color: gray;
    color: white;
}

#elemento {
    background-color: rgb(49, 103, 202);
}

/* MEDIA QUERY PARA ESCRITORIO */
@media (min-width: 1023px) {
    .top {
        max-width: 600px;
        margin: auto;
        column-gap: 50pt;
        margin-left: 618pt;
    }

    .espacio {
        display: block;
        width: 85pt;
    }

    .top>img {
        width: 300px;
        margin-left: -557pt;
    }

    .top.arriba {
        font-size: 30pt;
        margin-left: 0pt;
    }

    .top>p {
        font-size: 23pt;
        margin-right: 100pt;
        margin-top: -10pt;
    }

    .imgActual {
        width: 1.5%;
    }

    .boton {
        width: 70%;
        font-size: 30pt !important;
        padding-top: 80%;
    }

    #help {
        width: 65% !important;
        /* O asegúrate de que se ajuste correctamente */
        margin-right: 0;
        /* Elimina el -30pt que puede estar moviéndolo */
        text-align: center;
        /* Asegura que el contenido esté centrado */
        display: flex;
        justify-content: center;
        align-items: center;
    }

    hr {
        width: 90%;
        min-width: 380px;
        height: 0.5pt;
        padding-right: 50pt;
        background-color: black;
        margin-top: 35pt;
        margin-left: -143pt;
    }

    .keys>p {
        font-size: 23pt;
    }
}

* {
    font-family: Raleway;
}

@media(max-width: 2000px) {
    body {
        transform: scale(1);
    }
}

.keys {
    margin-top: 15pt;
    display: grid;
    margin-left: 5%;
    grid-template-columns: repeat(3, auto);
    gap: 15pt;
    font-family: Raleway;
}

hr {
    width: 78%;
    min-width: 250px;
    height: 0.5pt;
    padding-right: 50pt;
    background-color: black;
    margin-top: 20pt;
    margin-left: 5%;
}

.espacio {
    padding: 5pt;
    background-color: white;
}

.botones {
    display: flex;
    flex-direction: row;
    width: 50%;
    margin-left: 5%;
    gap: 10pt;
    min-width: 350px;
}

button#ultimo {
    width: 36%;
}

.boton {
    padding-top: 40pt;
    background-color: rgb(49, 103, 202);
    color: white;
    margin-right: 5pt;
    text-align: left;
    font-family: Raleway;
    font-weight: 700;
    font-size: 14.5pt;
    padding-right: 20pt;
    border: none;
    width: 36%;
}

.ultimo {
    margin-right: 10%;
}

#help {
    margin-top: 15pt;
    display: flex;
    /* Activa Flexbox */
    align-items: center;
    /* Centra el texto verticalmente */
    justify-content: center;
    /* Centra el texto horizontalmente */
    background-color: rgb(214, 210, 210);
    ;
    font-family: Raleway;
    font-weight: 700;
    padding-top: 4pt;
    padding-bottom: 4pt;
    width: 70%;
    min-width: 420px;
    margin-left: 5%;
    font-size: 14.5pt;
    /* Margen izquierdo */
    border: none;
}

#ayuda {
    margin-top: 1pt;
    position: relative;
    /* Relativo al contenedor del botón */
    top: 0;
    /* Ajusta la posición vertical */
    margin-right: 10pt;
    z-index: 3;
    /* Asegura que esté por encima de otros elementos */
}

.paraMargen {
    padding-right: 7pt;
}

@media(max-width:500px) {
    body {
        transform: scale(1);
    }

    .top.arriba {
        font-size: 24px;
        padding-left: 15pt;
        margin-left: 25px !important;
        margin-top: 40pt;
        text-align: right;
    }

    .top>p {
        font-size: initial;
        margin-right: -30px !important;
        margin-top: -30pt;
    }
}

@media (orientation:landscape) {
    body {
        transform: scale(1);
        transform-origin: top left;
    }
}

@media (max-width: 1204px) {
    body {
        transform: scale(1);
        transform-origin: top left;
    }

    .top {
        max-width: 130px;
        margin-left: 10pt;
        margin-right: 10pt;
        gap: 5pt;
        align-items: end;
        column-gap: initial;
    }

    .top>img {
        width: 60%;
        min-width: 200px;
        margin-left: 0;
        margin-top: 35pt;
    }

    .top.arriba {
        font-size: 24px;
        padding-left: 15pt;
        margin-left: 275pt;
        margin-top: 40pt;
        text-align: right;
    }

    .top>p {
        font-size: initial;
        margin-right: -25pt;
        margin-top: -30pt;
    }

    .imgActual {
        width: 5%;
    }

    .main {
        margin-right: 15%;
        padding-left: 5%;
        gap: 20pt;
    }

    .boton {
        font-size: 14.5pt;
        padding-top: 40pt;
        width: 36%;
    }

    #help {
        width: 80%;
        font-size: 14.5pt;
        min-width: 420px;
        margin-left: 5%;
    }

    hr {
        width: 78%;
        min-width: 250px;
        margin-left: 5%;
        margin-top: 20pt;
    }

    .keys>p {
        font-size: initial;
    }
}
@media(max-width:900px){
    .top.arriba {
        font-size: 24px;
        padding-left: 15pt;
        margin-left: 220pt;
        margin-top: 40pt;
        text-align: right;
    }
     .top>p {
        font-size: initial;
        margin-right: -25pt;
        margin-top: -30pt;
    }
}